> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Deduction

> Create a Deduction and attach it to a specific employee check based on a Deduction Template.

The deduction is scoped to a single employee check. Its required fields are determined by the `required_template_fields` in the [Deduction Template Definition](/reference/employee-checks/deductions/get-deduction-template-definitions).


## OpenAPI

````yaml openapi/employee-checks.json post /deductions
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /deductions:
    post:
      summary: Create Deduction
      description: Create a deduction.
      operationId: create-deduction
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employeeCheckID
                - deductionTemplateID
                - deduction
              properties:
                companyID:
                  type: string
                  description: ID of Company
                employeeCheckID:
                  type: string
                  description: ID of EmployeeCheck to attach Deduction to
                deductionTemplateID:
                  type: string
                  description: ID of Deduction Template used to create this deduction
                deduction:
                  type: object
                  description: The deduction object
                  properties:
                    employee_contribution:
                      type: object
                      properties:
                        override_type:
                          type: string
                          description: >-
                            Override type (Accepts: final, overridable,
                            needs_input)
                        contribution_type:
                          type: string
                          description: 'Type of contribution (Accepts: dollars, percentage)'
                        value:
                          type: number
                          description: The Value of the employee contribution
                          format: float
                    employer_contribution:
                      type: object
                      properties:
                        value:
                          type: number
                          description: Value of Employer contribution
                          format: float
                        contribution_type:
                          type: string
                          description: 'Type of contribution (Accepts: dollars, percentage)'
                additional_fields:
                  type: object
                  description: >-
                    Additional fields contingent upon the deduction
                    type/template
                  properties: {}
            examples:
              Request Example:
                value:
                  companyID: fc235f012bae46aa8a082f3
                  employeeCheckID: 7f0da5e428324c049ae6a6bac2e62f88
                  deductionTemplateID: 61d12e74db7df700237de5d4
                  deduction:
                    employee_contribution:
                      value: 1.33
                    employer_contribution:
                      value: 2.66
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      companyID: fc235f012bae46aa8a082f3
                      deductionID: 61cadff23e6f8201c34c77c6
                      employeeCheckID: 73a99095827d4f32bbb18adce048c081
                      deduction_type: 401k
                      employer_contribution:
                        value: 1.33
                        contribution_type: dollars
                        matching: false
                      employee_contribution:
                        value: 2.66
                        contribution_type: dollars
                      deductionTemplateID: 61cad98c3e6f8201c34c77c0
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: fc235f012bae46aa8a082f3
                      deductionID:
                        type: string
                        example: 61cadff23e6f8201c34c77c6
                      employeeCheckID:
                        type: string
                        example: 73a99095827d4f32bbb18adce048c081
                      deduction_type:
                        type: string
                        example: 401k
                      employer_contribution:
                        type: object
                        properties:
                          value:
                            type: number
                            example: 1.33
                            default: 0
                          contribution_type:
                            type: string
                            example: dollars
                          matching:
                            type: boolean
                            example: false
                            default: true
                      employee_contribution:
                        type: object
                        properties:
                          value:
                            type: number
                            example: 2.66
                            default: 0
                          contribution_type:
                            type: string
                            example: dollars
                      deductionTemplateID:
                        type: string
                        example: 61cad98c3e6f8201c34c77c0
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: No deduction template found with provided ID
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No deduction template found with provided ID
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````